Subject: Re: [PATCH] Implement git-staged, an alias for 'git diff --cached'.

From: Teemu Likonen <[email-masked]>
Date: Wed, 29 Oct 2008 20:30:39 +0200

Wincent Colaiuta (2008-10-29 18:42 +0100) wrote:

> El 29/10/2008, a las 18:03, Johannes Schindelin escribió:
>> I completely disagree. If the existing set of commands causes
>> confusion, we need to deprecate those parts and add new commands.
>> Even if we have a ton of commands already.
>
> The confusion isn't at the command level; it's at the switch/option
> level. The solution isn't to add a new command.

I don't remember being confused in particular area but I think it's a
_very_ good thing that the following three are behind the same "diff"
command:

    git diff
    git diff --cached       (or --staged)
    git diff HEAD

It's also good idea to pretty much always teach those three together.